@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM
@REM  Usage:
@REM		replicaManager.bat	<<startSlaveReplicationMode>> or <<startMasterReplicationMode>> or <<stopMasterReplicationMode>>
@REM

@REM **************************************
@REM Common variable
@REM **************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..
set derbyLoc=%scriptLoc%..\..\wxs\derby

@REM **************************************
@REM Handle parameters
@REM **************************************
set replicacommand=%1


if '%replicacommand%'=='' (
	@echo Replica manager command flag not set.  Please check usage
	GOTO DisplayUsage
)

@REM Source environment variables
call "%ecaasRoot%\wxs\exportCommons.bat"

@REM **************************************
@REM Call restart executable
@REM **************************************
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar;%wlpLoc%/usr/shared/resources/derbyclient.jar;%wlpLoc%/usr/shared/resources/derbynet.jar;%wlpLoc%/usr/shared/resources/derby.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources/zip4j_1.3.2.jar;%wlpLoc%/usr/shared/resources

set cp=.;%tenantJarLoc%;%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar;%wlpLoc%/lib/com.ibm.json4j_1.0.12.jar;%wlpLoc%/dev/api/ibm/com.ibm.websphere.appserver.api.json_1.0.12.jar;

cd %derbyLoc%\scripts

"%JAVA_CMD%" -Dwlp.install.dir="%wlpLoc%" -Dderby.drda.traceAll=true  -Dderby.stream.error.logSeverityLevel=0  -Dderby.system.home="%derbyLoc%/scripts"  -classpath "%cp%" com.ibm.ws.xs.tenant.util.derby.ReplicationManager  %replicacommand%


GOTO End

:DisplayUsage
@echo  ---------------------------------------------------
@echo  Usage:
@echo		replicaManager.bat	<<replicacommand>>	 
@echo replicaManager.bat	<<startSlaveReplicationMode>> or <<startMasterReplicationMode>> or <<stopMasterReplicationMode>>
@echo  ---------------------------------------------------

:End

cd %scriptLoc%
