@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM
@REM  Usage:
@REM		startAdminServer.bat	<<admin server name>>	
@REM
@REM  <<admin server name>>:  restAdminServer or restDataServer or restUIServer
@REM 

@REM **************************************
@REM Common variable
@REM **************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..
set derbyLoc=%scriptLoc%..\..\derby

@REM **************************************
@REM Handle parameters
@REM **************************************
set restAdminServerName=%1

if '%restAdminServerName%'=='' (
	@echo Start administrative server name flag not set.  Please check usage
	GOTO DisplayUsage
)

@REM Source environment variables
call "%ecaasRoot%\wxs\exportCommons.bat"

@REM **************************************
@REM Call restart executable
@REM **************************************
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar

set cp=.;%tenantJarLoc%

"%JAVA_CMD%" -classpath "%cp%" com.ibm.ws.xs.tenant.exec.StartAdminServerExec "%wlpLoc%" %restAdminServerName%

GOTO End

:DisplayUsage
@echo  ---------------------------------------------------
@echo  Usage:
@echo		startAdminServer.bat	<<admin server name>>
@echo   <<admin server name>>:  restAdminServer or restDataServer or restUIServer
@echo  ---------------------------------------------------

:End

