@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM
@REM  Usage:
@REM		validateUserInput.bat	<<secretKey>> <<xsadminPassword>> <<encoded>>
@REM

setlocal EnableDelayedExpansion

@REM **************************************
@REM Common variable
@REM **************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..

@REM Source environment variables
call "%ecaasRoot%\wxs\exportCommons.bat"

@REM **************************************
@REM Call user input validator
@REM **************************************
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources

set cp=.;%tenantJarLoc%;%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar;

"%JAVA_CMD%" -Dwlp.install.dir="%wlpLoc%" -classpath "%cp%" com.ibm.ws.xs.tenant.util.PasswordValidator  !secretKey!  !xsadminPassword!  !encoded!

@REM endlocal before setting exitcode so we can use it in startXSMember 
endlocal

SET exitcode=%errorlevel%
echo exitcode %exitcode%


GOTO End

:DisplayUsage
@echo  ---------------------------------------------------
@echo  Usage:
@echo		
@echo  validateUserInput.bat  <<secretKey>> <<xsadminPassword>> <<encoded>>
@echo  ---------------------------------------------------

:End

cd %scriptLoc%
