set DERBY_HOME=%~dp0..\release
set derby.system.home=..\
set PATH=%PATH%;%DERBY_HOME%\bin
set DERBY_OPTS=-Dij.protocol=jdbc:derby://localhost/

@REM Source environment variables
if exist "%DERBY_HOME%\..\..\exportCommons.bat" (
	call "%DERBY_HOME%\..\..\exportCommons.bat"
) else (
	call "%DERBY_HOME%\..\..\..\tenant.build\scripts\exportCommons.bat"
)

FOR /F "tokens=4 delims= " %%i in ('route print ^| find " 0.0.0.0"') do set localIp=%%i
echo Your IP Address is: %localIp%

"%JAVA_CMD%" -jar -Dij.outfile="%DERBY_HOME%\..\scripts\configure.log" %DERBY_HOME%\lib\derbyrun.jar  ij dbconfigure.sql
echo Finished loading schema