set DERBY_HOME=%~dp0..\release
set derby.system.home=..\
set PATH=%PATH%;%DERBY_HOME%\bin
set DERBY_OPTS=-Dij.protocol=jdbc:derby://localhost/

set installDir=%~dp0\..\..\..

cd %~dp0

@REM Source environment variables
if exist "%DERBY_HOME%\..\..\exportCommons.bat" (
	call "%DERBY_HOME%\..\..\exportCommons.bat"
) else (
	call "%DERBY_HOME%\..\..\..\tenant.build\scripts\exportCommons.bat"
)

set "yajswHome=%DERBY_HOME%\..\..\..\wlp\startscripts\nanny"

@REM Start derby in the backgorund, note the first parameter is the name of the window
start /b "XS Derby" "%JAVA_CMD%" -Dderby.drda.maxThreads=125 -Djava.security.manager "-Djava.security.policy=%yajswHome%\yajsw.policy.txt" "-Dyajsw.home=%yajswHome%" -Dderby.install.url="file:%DERBY_HOME%\lib\\" -jar "%DERBY_HOME%\lib\derbyrun.jar" server start -h 0.0.0.0
