@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM

set DERBY_HOME=%~dp0..\release
set derby.system.home=%~dp0..\
set PATH=%PATH%;%DERBY_HOME%\bin
set DERBY_OPTS=-Dij.protocol=jdbc:derby://localhost/ -Dderby.system.home=%~dp0..\

@REM Source environment variables
if exist "%DERBY_HOME%\..\..\exportCommons.bat" (
	call "%DERBY_HOME%\..\..\exportCommons.bat"
) else (
	call "%DERBY_HOME%\..\..\..\tenant.build\scripts\exportCommons.bat"
)

FOR /F "tokens=4 delims= " %%i in ('route print ^| find " 0.0.0.0"') do set localIp=%%i
echo Your IP Address is: %localIp%

"%JAVA_CMD%" -jar "%DERBY_HOME%\lib\derbyrun.jar" server shutdown -h 0.0.0.0

