@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM


:checkPrivileges
NET FILE 1>NUL 2>NUL
if '%errorlevel%' == '0' ( goto gotPrivileges ) else ( goto getPrivileges )

:getPrivileges
if '%1'=='ELEV' (shift & goto gotPrivileges)

setlocal DisableDelayedExpansion
set "batchPath=%~0"
setlocal EnableDelayedExpansion
ECHO Set UAC = CreateObject^("Shell.Application"^) > "%temp%\OEgetPrivileges.vbs"
ECHO UAC.ShellExecute "!batchPath!", "ELEV", "", "runas", 1 >> "%temp%\OEgetPrivileges.vbs"
"%temp%\OEgetPrivileges.vbs"
exit /B

:gotPrivileges
setlocal & pushd .

set installDir=%~dp0\..

set serverName=%1

IF "%serverName%" == "" GOTO Usage

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

cd %installDir%\wlp\startscripts\nanny
"%JAVA_CMD%" -jar wrapper.jar -qx conf\nannyWrapper.conf
set dogStatus=%errorlevel%
cd ..\..\..\

IF "%serverName%" == "All" ( goto startWatchDog ) else ( goto startServer )


:startWatchDog
echo Check WatchDog status, start it if stopped ...
cd %installDir%\wlp\startscripts\nanny
IF %dogStatus% == 3 "%JAVA_CMD%" -jar wrapper.jar -t conf\nannyWrapper.conf
cd ..\..\..\
echo WatchDog starts all servers 
Exit /B

:startServer
set serverFound=0
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF "%%a" == "%serverName%" (
     	set serverFound=1
     	IF %dogStatus% == 3 echo ************* ATTENTION : WatchDog Service is not running! Please start WatchDog by StartWatchDog.bat 
		call ./wlp/bin/server start %serverName% --clean
	)
)
IF %serverFound% == 0 (
	echo ************* ERROR : Server Name : %serverName% is not found.
	GOTO Usage
)

Exit /B

:Usage
echo [Usage] : startServer [serverName]
echo [Usage] : startServer All - Start WatchDog Service and all XSLD servers
echo [Server List] :
for /f "delims=" %%a in ('dir "%installDir%\wlp\usr\servers" /on /d /b') do (
	IF NOT "%%a" == ".classCache" IF NOT "%%a" == ".logs" echo %%a 
)


