@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

@REM Start of stop script
IF '%1'=='STOP_DERBY_SERVICE' (set stopDerby=true)

set installDir=%~dp0..
set "wlpLoc=%installDir%/wlp"

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

echo Stopping watchdog service
net stop XS-Nanny-Watch-Dog

echo Stopping servers
cd "%wlpLoc%\usr\servers"
for /f "delims=" %%a in ('dir . /on /d /b') do (
	IF NOT "%%a" == "xscmd" (
		IF EXIST "%wlpLoc%\usr\servers\%%a\server.xml" call ..\..\bin\server.bat stop %%a
	)
)

@REM Update the MemberStatus
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources
set cp=.;%tenantJarLoc%;%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar;%wlpLoc%/usr/shared/resources/derbyclient.jar;%wlpLoc%/lib/com.ibm.json4j_1.0.12.jar;

"%JAVA_CMD%" -classpath "%cp%" com.ibm.ws.xs.tenant.util.UpdateMemberStatusExec offline "This member has been manually stopped or uninstalled."

IF EXIST "%installDir%\wxs\.xsldStarted" del "%installDir%\wxs\.xsldStarted"
IF EXIST "%installDir%\wxs\.xsldStartFailed" del "%installDir%\wxs\.xsldStartFailed"

IF '%stopDerby%'=='true' (
	call "%installDir%\wxs\derby\scripts\stopNetWorkServer.bat"
	
	cd "%wlpLoc%\startscripts\nanny"
	"%JAVA_CMD%" -jar wrapper.jar -qs conf\derbyWrapper.conf
	echo Derby stopped: %ERRORLEVEL%
	cd "%installDir%\wxs"
)
