@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM
@REM

REM ***************************************
REM * Common variables
REM ***************************************
set scriptLoc=%~dp0
set ecaasRoot=%scriptLoc%..\..
set wlpLoc=%scriptLoc%..
set derbyLoc=%scriptLoc%..\..\wxs\derby

@REM Source environment variables
call "%ecaasRoot%\wxs\exportCommons.bat"

REM ***************************************
REM * System properties
REM ***************************************
set sp=-Dwlp.install.dir="%wlpLoc%"

REM ***************************************
REM * Specify Class Path
REM ***************************************
set tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar
set derbyJarLoc=%wlpLoc%/usr/shared/resources/derbyclient.jar
set json4JJarLoc=%wlpLoc%/lib/com.ibm.json4j_1.0.12.jar
set ibmJSONJarLoc=%wlpLoc%/dev/api/ibm/com.ibm.websphere.appserver.api.json_1.0.12.jar
set jeeJSONJarLoc=%wlpLoc%/dev/api/spec/com.ibm.ws.javaee.jsonp.1.0_1.0.12.jar
set commonIntfJarLoc=%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar
set clientJarLoc=%wlpLoc%/dev/ibm-api/com.ibm.ws.xs.client_1.1.jar
set loggingJarLoc=%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar
set zipJarLoc=%wlpLoc%/usr/shared/resources/zip4j_1.3.2.jar

set cp=.;%loggingJarLoc%;%json4JJarLoc%;%ibmJSONJarLoc%;%jeeJSONJarLoc%;%derbyJarLoc%;%commonIntfJarLoc%;%clientJarLoc%;%zipJarLoc%;%tenantJarLoc%

@echo "%JAVA_CMD%" %sp% -classpath "%cp%" com.ibm.ws.xs.tenant.exec.CreateDefaultServerExec
"%JAVA_CMD%" %sp% -classpath "%cp%" com.ibm.ws.xs.tenant.exec.CreateDefaultServerExec