@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM


set wxsDir=%~dp0
set wlpLoc=%wxsDir%../wlp

@REM Source environment variables
call "%wxsDir%exportCommons.bat"

set SERVER_EXEC="%wlpLoc%\bin\server"

cd "%wlpLoc%\usr\servers"

@REM Output the name of any running servers
for /f "delims=" %%a in ('dir . /on /d /b') do (
	IF NOT "%%a" == ".classCache" (
		call %SERVER_EXEC% status %%a > NUL && echo %%a
	)
)

cd "%wlpLoc%\startscripts\nanny"
"%JAVA_CMD%" -jar wrapper.jar conf/nannyWrapper.conf -qs > NUL 2>&1 && echo XS-Nanny-Watch-Dog service

@endlocal