CREATE TABLE UsedBytes (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    MapName VARCHAR(64) NOT NULL,
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE HitCount (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    MapName VARCHAR(64) NOT NULL,
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE GetCount (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    MapName VARCHAR(64) NOT NULL,
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE NumEntries (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    MapName VARCHAR(64) NOT NULL,
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE Throughput (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE TotalTransactionTime (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE TotalNumberOfTransactions (
    ID BIGINT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    GridName VARCHAR(64) NOT NULL,
    Timestamp BIGINT NOT NULL,
    Value BIGINT NOT NULL 
);

CREATE TABLE MinMaxTransactionTime (
	ID INT PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1), 
    GridName VARCHAR(64) NOT NULL UNIQUE,
    Timestamp BIGINT NOT NULL,
    MinTT BIGINT NOT NULL,
    MaxTT BIGINT NOT NULL
);

CREATE TABLE CacheMemberGroupMemoryStats (
    ID SMALLINT PRIMARY KEY, 
    Timestamp BIGINT NOT NULL,
    totalCapacity BIGINT NOT NULL,
    totalPrimaryUsedBytes BIGINT NOT NULL,
    totalReplicaUsedBytes BIGINT NOT NULL,
    totalUsed BIGINT NOT NULL
);

insert into CacheMemberGroupMemoryStats(ID, Timestamp, totalCapacity, totalPrimaryUsedBytes, totalReplicaUsedBytes, totalUsed) values (1, -1, -1, -1, -1, -1);