@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

@REM Start WatchDog Service

@REM Non root user
net session >nul 2>&1
IF %ERRORLEVEL% NEQ 0 (
	net start XS-Nanny-Watch-Dog
	exit /b
)

set installDir=%~dp0..

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

echo Check WatchDog status, start it if stopped
cd %installDir%\wlp\startscripts\nanny
"%JAVA_CMD%" -jar wrapper.jar -qx conf\nannyWrapper.conf > NUL
IF %errorlevel% == 3 "%JAVA_CMD%" -jar wrapper.jar -t conf\nannyWrapper.conf >> "%installDir%\wlp\startscripts\nanny\log\nannyInstall.log"
cd ..\..\..\

echo XSLD Nanny Watchdog started, please monitor the logs at %installDir%\wlp\startscripts\nanny\log\nanny.log
