@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM


set wxsDir=%~dp0
cd "%wxsDir%"
set "wlpLoc=%wxsDir%..\wlp"

@REM Source environment variables
call exportCommons.bat

@REM Check if services are registered
sc query XS-Derby >nul 2>&1
IF %ERRORLEVEL% NEQ 0 GOTO REGISTER

sc query XS-Nanny-Watch-Dog >nul 2>&1
IF %ERRORLEVEL% NEQ 0 GOTO REGISTER

GOTO START

:REGISTER
echo XSLD Services are not registered. Please run registerServices.bat as Administrator to register.
GOTO DONE

:START

@REM Start derby if this is the primary DB
set "tenantJarLoc=%wlpLoc%/usr/shared/resources/tenant.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources/commonobjectgridIntf.jar;%wlpLoc%/usr/shared/resources"
set "cp=.;%tenantJarLoc%;%wlpLoc%/lib/com.ibm.ws.logging_1.0.12.jar;%wlpLoc%/usr/shared/resources/derbyclient.jar;%wlpLoc%/lib/com.ibm.json4j_1.0.12.jar;"

"%JAVA_CMD%" -classpath "%cp%" com.ibm.ws.xs.tenant.exec.CheckDerbyIsPrimaryExec
IF %ERRORLEVEL% EQU 0 (
	ECHO Starting Derby
	net start XS-Derby
)

cd "%wxsDir%"

@REM Start Watchdog
call startWatchDog.bat

:DONE

@endlocal