@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

set option=%1

@REM Get root location of installation
set installDir=%~dp0..

@REM Source environment variables
call "%installDir%\wxs\exportCommons.bat"

@REM Skip service removal if this installation isn't currently running
IF NOT "%option%" == "force"	(
	IF NOT EXIST "%installDir%\wxs\derby\scripts\wxsdb" (
		echo No database found at %installDir%\wxs\derby\scripts\wxsdb, skipping service removal.
		echo To force an uninstall run with argument 'force', ie: 'uninstallAll.bat force'
		GOTO DONE
	)
)

cd "%installDir%\wxs"
call stopXSLD.bat

echo Stopping derby
cd "%installDir%\wxs\derby\scripts"
call stopNetWorkServer.bat 
cd ..\..\

echo Uninstalling services
	
sc delete XS-Nanny-Watch-Dog
IF %ERRORLEVEL% NEQ 0 echo Error removing the XS-Nanny-Watch-Dog service
	
sc delete XS-Derby
IF %ERRORLEVEL% NEQ 0 echo Error removing the XS-Derby service

del "%installDir%\wlp\usr\shared\resources\dbconfig.json-initial.bak"
del "%installDir%\wxs\derby\scripts\wxsdb-initial.zip"

:DONE
